s2dv
===============
s2dv is the advanced version of package 's2dverification'. It is intended for
'seasonal to decadal' (s2d) climate forecast verification, but it can also be
used in other kinds of forecasts or general climate analysis.

This package is specially designed for the comparison between the experimental
and observational datasets. The functionality of the included functions covers
from data retrieval, data post-processing, skill scores against obeservation,
to visualization. Compared to 's2dverification', 's2dv' adopts the regime of
package 'multiApply'. Therefore, it is compatible with the package 'startR', 
able to use multiple cores for computation and handle multi-dimensional arrays 
with a higher flexibility than s2dverification.

Find more information about its previous package s2dverification on GitLab
<https://earth.bsc.es/gitlab/es/s2dverification/> or on the
CRAN website at
<https://cran.r-project.org/web/packages/s2dverification/index.html>.

A review of s2dverification package was published in the Environmental Modelling & Software journal.

> Manubens, N., L.-P. Caron, A. Hunter, O. Bellprat, E. Exarchou, N.S. Fučkar, J. Garcia-Serrano, F. Massonnet, M. Ménégoz, V. Sicardi, L. Batté, C. Prodhomme, V. Torralba, N. Cortesi, O. Mula-Valls, K. Serradell, V. Guemas, F.J. Doblas-Reyes (2018). An R Package for Climate Forecast Verification. Environmental Modelling & Software, 103, 29-42, doi:10.1016/j.envsoft.2018.01.018


Installation
------------

s2dv has a system dependency, the CDO libraries, for interpolation of grid data
and retrieval of metadata. Make sure you have these libraries installed in the
system or download and install from
<https://code.zmaw.de/projects/cdo>.

You can then install the public released version of s2dverification from CRAN:
```r
install.packages("s2dv")
```
Or the development version from the GitLab repository:
```r
# install.packages("devtools")
devtools::install_git("https://earth.bsc.es/gitlab/es/s2dv.git")
```

Overview
--------

The s2dv scheme is composed of four modules:  
**Data retrieval** -> **Statistics** -> **Verification** -> **Visualisation**  

- **Data retrieval** module: The first step is to gather and homogenize NetCDF data 
files from forecasts, hindcasts or observations stored in a local or remote file 
system. Some simple previous steps are required, however, to set up some 
configuration parameters so that the module can locate the source files and 
recognize the variables of interest.

- **Statistics** module: Once the data has been loaded into an R object, some
statistics can be computed, such as drift-corrected anomalies, trend removal, 
frequency filtering and more.

- **Verification** module: Either after computing statistics or directly from 
the original data, the verification functions allow you to compute deterministic 
and probabilistic scores and skill scores such as root mean square error and 
correlation with reliability indicators such as p-values and confidence intervals.

- **Visualization** module: Plotting functions are also provided to plot the 
results obtained from any of the modules above.



